@charset "Shift_JIS";

/* --------------------------------------
 nav-databook
-------------------------------------- */
.nav-databook {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
#page:not(.not-rwd) .main-content .nav-databook > li > p {
  margin-top: 0;
}
#page:not(.not-rwd) .main-content .nav-databook > li > ul {
  margin-top: 10px;
}
.main-content .nav-databook > li > p {
  color: #000000;
}
.main-content .nav-databook > li > p > a {
  color: #333333;
}
@media screen and (max-width: 767px) {
  .main-content h1 + .nav-databook {
    margin-top: 10px;
  }
}

/* --------------------------------------
 tbl-data-04 tbl-narrow
-------------------------------------- */
.tbl-data-04.tbl-narrow > thead > tr th, .tbl-data-04.tbl-narrow > thead > tr td, .tbl-data-04.tbl-narrow > tbody > tr th, .tbl-data-04.tbl-narrow > tbody > tr td, .tbl-data-04.tbl-narrow > tfoot > tr th, .tbl-data-04.tbl-narrow > tfoot > tr td {
  padding-top: 6px;
  padding-bottom: 6px;
}

@media only screen and (max-width: 768px) {
  #page:not(.not-rwd) .tbl-data-04.tbl-narrow > thead > tr th, #page:not(.not-rwd) .tbl-data-04.tbl-narrow > thead > tr td, #page:not(.not-rwd) .tbl-data-04.tbl-narrow > tbody > tr th, #page:not(.not-rwd) .tbl-data-04.tbl-narrow > tbody > tr td, #page:not(.not-rwd) .tbl-data-04.tbl-narrow > tfoot > tr th, #page:not(.not-rwd) .tbl-data-04.tbl-narrow > tfoot > tr td {
    padding-top: 6px;
    padding-bottom: 6px;
  }
}

/* --------------------------------------
 tbl-data-04 fixed-cell
-------------------------------------- */
@media screen and (min-width: 769px) {
  .tbl-data-04 td {
    background: #fff;
  }
}

/* --------------------------------------
 tbl-employee-count (社員の状況等 社員数等)
-------------------------------------- */
.tbl-employee-count-wrapper {
  white-space: normal;
}

.tbl-employee-count {
  width: 645px;
  table-layout: fixed;
}

/* --------------------------------------
 tbl-employee-count-fixed-cell (社員の状況等 社員数等 SP固定)
-------------------------------------- */
.tbl-employee-count-fixed-cell-w129 {
  width: 129px;
  max-width: 129px;
  min-width: 129px;
}

@media only screen and (max-width: 768px) {
  .tbl-employee-count-fixed-cell-l0 {
    position: sticky;
    left: 0;
    border-right: 1px solid #ddd;
  }

  .tbl-employee-count > thead > tr th.tbl-employee-count-fixed-cell-no-border-left,
  .tbl-employee-count > tbody > tr th.tbl-employee-count-fixed-cell-no-border-left,
  .tbl-employee-count > tbody > tr td.tbl-employee-count-fixed-cell-no-border-left {
    border-left: none;
  }
}

/* --------------------------------------
 tbl-new-hires (社員の状況等 採用者数等)
-------------------------------------- */
.tbl-new-hires {
  table-layout: fixed;
}

/* --------------------------------------
 tbl-new-hires-fixed-cell (社員の状況等 採用者数等 SP固定)
-------------------------------------- */
.tbl-new-hires-fixed-cell-w100 {
  width: 100px;
  max-width: 100px;
  min-width: 100px;
  white-space: nowrap;
}

@media only screen and (max-width: 768px) {
  .tbl-new-hires > thead > tr th {
    white-space: nowrap;
  }
  .tbl-new-hires-fixed-cell-l0 {
    position: sticky;
    left: 0;
    border-right: 1px solid #ddd;
  }

  .tbl-new-hires > thead > tr th.tbl-new-hires-fixed-cell-no-border-left,
  .tbl-new-hires > tbody > tr th.tbl-new-hires-fixed-cell-no-border-left,
  .tbl-new-hires > tbody > tr td.tbl-new-hires-fixed-cell-no-border-left {
    border-left: none;
  }
}

/* --------------------------------------
 tbl-service-overview-fixed-cell (サービス概況等 サービス概況 PC固定)
-------------------------------------- */
@media screen and (min-width: 769px) {
  .tbl-service-overview-fixed-cell-l0 {
    position: sticky;
    top: 0;
    left: 0;
  }

  .tbl-service-overview-fixed-cell-l20 {
    position: sticky;
    top: 0;
    left: 20px;
  }

  .tbl-service-overview-fixed-cell-l40 {
    position: sticky;
    top: 0;
    left: 40px;
  }

  .tbl-service-overview-fixed-cell-l60 {
    position: sticky;
    top: 0;
    left: 60px;
  }

  .tbl-service-overview-fixed-cell-l289 {
    position: sticky;
    top: 0;
    left: 289px;
    border-right: 1px solid #ddd;
  }

  .tbl-service-overview-fixed-cell-w20 {
    width: 20px;
    max-width: 20px;
    min-width: 20px;
  }

  .tbl-service-overview-fixed-cell-w229 {
    width: 229px;
    max-width: 229px;
    min-width: 229px;
  }

  .tbl-service-overview-fixed-cell-w249 {
    width: 249px;
    max-width: 249px;
    min-width: 249px;
  }

  .tbl-service-overview-fixed-cell-w269 {
    width: 269px;
    max-width: 269px;
    min-width: 269px;
  }

  .tbl-service-overview-fixed-cell-w289 {
    width: 289px;
    max-width: 289px;
    min-width: 289px;
  }

  .tbl-data-04 > thead > tr th.tbl-service-overview-fixed-cell-no-border-left,
  .tbl-data-04 > tbody > tr th.tbl-service-overview-fixed-cell-no-border-left,
  .tbl-data-04 > tbody > tr td.tbl-service-overview-fixed-cell-no-border-left,
  .tbl-data-04 > tfoot > tr th.tbl-service-overview-fixed-cell-no-border-left {
    border-left: none;
  }

  /* Line breaks in cell */
  .tbl-service-overview-fixed-cell-w20,
  .tbl-service-overview-fixed-cell-w229,
  .tbl-service-overview-fixed-cell-w249,
  .tbl-service-overview-fixed-cell-w269,
  .tbl-service-overview-fixed-cell-w289 {
    white-space: normal;
    word-wrap: break-word;
    overflow-wrap: break-word;
  }
}

/* --------------------------------------
 tbl-service-staff-data-fixed-cell (サービス概況等 従業員数・出向者数 SP固定)
-------------------------------------- */
.tbl-service-staff-data-fixed-cell-w129 {
  width: 129px;
  max-width: 129px;
  min-width: 129px;
}

@media only screen and (max-width: 768px) {
  .tbl-service-staff-data-fixed-cell-l0 {
    position: sticky;
    left: 0;
    border-right: 1px solid #ddd;
  }

  .tbl-service-staff-data > thead > tr th.tbl-service-staff-data-fixed-cell-no-border-left,
  .tbl-service-staff-data > tbody > tr th.tbl-service-staff-data-fixed-cell-no-border-left,
  .tbl-service-staff-data > tbody > tr td.tbl-service-staff-data-fixed-cell-no-border-left {
    border-left: none;
  }
}

/* --------------------------------------
 lyt-phone (電話機のあゆみ, 公衆電話機のうつりかわり)
-------------------------------------- */
.lyt-phone {
  display: flex;
  flex-wrap: wrap;
  margin: 20px -20px 0 -20px;
}

.lyt-phone .lyt-column-phone-L {
  padding: 0 20px;
  width: 15%;
}

.lyt-phone .lyt-column-phone-R {
  padding: 0 20px;
  width: 85%;
}

@media only screen and (max-width: 768px) {
  .lyt-phone {
    display: block;
    margin: 60px 0 0 0;
  }

  .lyt-phone .lyt-column-phone-L {
    padding: 0;
    width: 100%;
  }

  .lyt-phone .lyt-column-phone-R {
    padding: 0;
    width: 100%;
    padding-top: 20px;
  }
}

@media only screen and (max-width: 768px) {
  .lyt-phone .lyt-column-phone-L .doc-lead-01 b {
    margin-right: 10px;
  }
}

.img-phone-large img {
  width: min(550px, 100%);
}

.img-phone-medium img {
  width: min(378px, 100%);
}

/* --------------------------------------
 list-telecom-01 (電信電話のあゆみ)
-------------------------------------- */
.list-telecom-01 p {
  font-size: 0.875rem;
}

.list-telecom-01 p > span {
  font-size: 0.625rem;
}

.list-telecom-01 p > span.list-telecom-01-square {
  font-size: 0.875rem;
  border: 1px #333333 solid;
  display: inline-block;
  padding: 0.2em;
  margin: 0 0.1em;
  line-height: 1;
}

.list-telecom-01 .column-R > ul > li {
  display: flex;
}

.list-telecom-01 .column-R > ul > li::before {
  content: "\30fb";
  display: block;
}

/* --------------------------------------
 list-history-telecom-leading-normal 電信電話のあゆみ
-------------------------------------- */
@media screen and (min-width: 769px) {
  .list-history-telecom-leading-normal {
    line-height: 1.5;
  }
}

/* --------------------------------------
 accordion-telecom-01 (電信電話のあゆみ)
-------------------------------------- */
.accordion-telecom-01 {
  summary {
    list-style-type: none;
    display: grid;
    grid-template-columns: 20px 1fr 24px;
    gap: 6px;
    align-items: center;
    padding: 40px 30px 40px 0;
    cursor: pointer;
  }

  .accordion-telecom-01-icon {
    padding: 5px 0 0;
  }

  .accordion-telecom-01-title {
    font-size: 1.25rem;
    font-weight: bold;
  }

  .accordion-telecom-01-switching {
    position: relative;

    &::before,
    &::after {
      display: block;
      content: '';
      position: absolute;
      width: 24px;
      height: 3px;
      background-color: #D9D9D9;
      top: 0;
      left: 0;
    }

    &::after {
      rotate: 90deg;
    }
  }
  
  &[open] .accordion-telecom-01-switching::after {
    rotate: 0deg;
  }
}

/* interpolate-size: allow-keywordsに対応しているブラウザはスムース開閉 */
/* @supports (interpolate-size: allow-keywords) {
  :root:has(.accordion-telecom-01) {
    interpolate-size: allow-keywords;
  }

  .accordion-telecom-01 {
    &::details-content {
      transition:
        height 0.4s,
        opacity 0.4s,
        content-visibility 0.4s allow-discrete;
      height: 0;
      overflow: clip;
    }

    &[open]::details-content {
      height: auto;
    }

    .accordion-telecom-01-switching::after {
      transition: rotate 0.4s;
    }
  }
} */

/* --------------------------------------
 tbl-profit-loss-fixed-cell (財務 経営成績 PC/SP固定)
-------------------------------------- */
.tbl-profit-loss-fixed-cell-l0 {
  position: sticky;
  left: 0;
  border-right: 1px solid #ddd;
}

.tbl-profit-loss-fixed-cell-l86 {
  position: sticky;
  left: 86px;
  border-right: 1px solid #ddd;
}

.tbl-profit-loss-fixed-cell-w86 {
  width: 86px;
  max-width: 86px;
  min-width: 86px;
}

.tbl-profit-loss-fixed-cell-w172 {
  width: 172px;
  max-width: 172px;
  min-width: 172px;
}

.tbl-data-04 > thead > tr th.tbl-profit-loss-fixed-cell-no-border-left,
.tbl-data-04 > tbody > tr th.tbl-profit-loss-fixed-cell-no-border-left,
.tbl-data-04 > tbody > tr td.tbl-profit-loss-fixed-cell-no-border-left {
  border-left: none;
}

/* --------------------------------------
 tbl-balance-sheet-fixed-cell (財務 財政状態 SPのみ固定)
-------------------------------------- */
.tbl-balance-sheet-fixed-cell-w86 {
  width: 86px;
  max-width: 86px;
  min-width: 86px;
}

.tbl-balance-sheet-fixed-cell-w172 {
  width: 20%;
}

@media only screen and (max-width: 768px) {
  .tbl-balance-sheet-fixed-cell-l0 {
    position: sticky;
    left: 0;
    border-right: 1px solid #ddd;
  }

  .tbl-balance-sheet-fixed-cell-w172 {
    width: 172px;
    max-width: 172px;
    min-width: 172px;
  }

  .tbl-balance-sheet-fixed-cell-l86 {
    position: sticky;
    left: 86px;
    border-right: 1px solid #ddd;
  }

  .tbl-data-04 > thead > tr th.tbl-balance-sheet-fixed-cell-no-border-left,
  .tbl-data-04 > tbody > tr th.tbl-balance-sheet-fixed-cell-no-border-left,
  .tbl-data-04 > tbody > tr td.tbl-balance-sheet-fixed-cell-no-border-left {
    border-left: none;
  }
}

/* --------------------------------------
 sp非表示,PC表示時のみ太字
-------------------------------------- */
.pc-bold-sp-del {
  font-weight: bold;
}

@media only screen and (max-width: 768px) {
  #page:not(.not-rwd) .pc-bold-sp-del {
    display: none !important;
  }
}
